Package org.eclipse.emf.cdo.lm

# Enum Class StreamMode

java.lang.Object
java.lang.Enum<StreamMode>
org.eclipse.emf.cdo.lm.StreamMode

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamMode>`, `java.lang.constant.Constable`, `Enumerator`

public enum StreamMode extends Enum<StreamMode> implements Enumerator
A representation of the literals of the enumeration 'Stream Mode', and utility methods for working with them.

See Also:
  - `LMPackage.getStreamMode()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOSED`
The 'Closed' literal object.
`DEVELOPMENT`
The 'Development' literal object.
`MAINTENANCE`
The 'Maintenance' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLOSED_VALUE`
The 'Closed' literal value.
`static final int`
`DEVELOPMENT_VALUE`
The 'Development' literal value.
`static final int`
`MAINTENANCE_VALUE`
The 'Maintenance' literal value.
`static final List<StreamMode>`
`VALUES`
A public read-only list of all the 'Stream Mode' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static StreamMode`
`get(int value)`
Returns the 'Stream Mode' literal with the specified integer value.
`static StreamMode`
`get(String literal)`
Returns the 'Stream Mode' literal with the specified literal value.
`static StreamMode`
`getByName(String name)`
Returns the 'Stream Mode' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static StreamMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StreamMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEVELOPMENT

public static final StreamMode DEVELOPMENT
The 'Development' literal object.

See Also:
  - `DEVELOPMENT_VALUE`
Generated
Ordered

### MAINTENANCE

public static final StreamMode MAINTENANCE
The 'Maintenance' literal object.

See Also:
  - `MAINTENANCE_VALUE`
Generated
Ordered

### CLOSED

public static final StreamMode CLOSED
The 'Closed' literal object.

See Also:
  - `CLOSED_VALUE`
Generated
Ordered

## Field Details

### DEVELOPMENT_VALUE

public static final int DEVELOPMENT_VALUE
The 'Development' literal value.

See Also:
  - `DEVELOPMENT`
  - Constant Field Values
Generated
Model
  name="Development"
Ordered

### MAINTENANCE_VALUE

public static final int MAINTENANCE_VALUE
The 'Maintenance' literal value.

See Also:
  - `MAINTENANCE`
  - Constant Field Values
Generated
Model
  name="Maintenance"
Ordered

### CLOSED_VALUE

public static final int CLOSED_VALUE
The 'Closed' literal value.

See Also:
  - `CLOSED`
  - Constant Field Values
Generated
Model
  name="Closed"
Ordered

### VALUES

public static final List<StreamMode> VALUES
A public read-only list of all the 'Stream Mode' enumerators.

Generated

## Method Details

### values

public static StreamMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StreamMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static StreamMode get(String literal)
Returns the 'Stream Mode' literal with the specified literal value.

Parameters:
  `literal` - the literal.
Returns:
  the matching enumerator or `null`.
Generated

### getByName

public static StreamMode getByName(String name)
Returns the 'Stream Mode' literal with the specified name.

Parameters:
  `name` - the name.
Returns:
  the matching enumerator or `null`.
Generated

### get

public static StreamMode get(int value)
Returns the 'Stream Mode' literal with the specified integer value.

Parameters:
  `value` - the integer value.
Returns:
  the matching enumerator or `null`.
Generated

### getValue

public int getValue()

Specified by:
  `getValue` in interface `Enumerator`
Generated

### getName

public String getName()

Specified by:
  `getName` in interface `Enumerator`
Generated

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `Enumerator`
Generated

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<StreamMode>`
Generated